<?xml version="1.0" encoding = "shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="dllecm"
	ProjectGUID="{2C8D2D61-253A-4372-A1F2-DDF979917CBD}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\Release"
			IntermediateDirectory=".\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\src,..\..\bee,..\..\vmelsec\src"
				PreprocessorDefinitions="NDEBUG;WIN32;_WINDOWS;PLC_MELSEC_CLIENT"
				RuntimeLibrary="2"
				RuntimeTypeInfo="TRUE"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\Release/dllecm.pch"
				AssemblerListingLocation=".\Release/"
				ObjectFile=".\Release/"
				ProgramDataBaseFileName=".\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="..\..\bee\lib\bee_s.lib ..\..\vmelsec\lib\melshm.lib xerces-c_2.lib ace.lib DTL.lib"
				OutputFile="..\bin\ecm.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				ProgramDatabaseFile=".\Release/ecm.pdb"
				ImportLibrary="../lib/ecm.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Release/dllecm.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\Debug"
			IntermediateDirectory=".\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\src,..\..\bee,..\..\vmelsec\src"
				PreprocessorDefinitions="_DEBUG;WIN32;_WINDOWS;PLC_MELSEC_CLIENT"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				PrecompiledHeaderFile=".\Debug/dllecm.pch"
				AssemblerListingLocation=".\Debug/"
				ObjectFile=".\Debug/"
				ProgramDataBaseFileName=".\Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="..\..\bee\lib\bee_sd.lib ..\..\vmelsec\lib\melshm_d.lib xerces-c_2D.lib aced.lib DTL_D.lib"
				OutputFile="..\bin\ecm_d.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile=".\Debug/ecm_d.pdb"
				ImportLibrary="../lib/ecm_d.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Debug/dllecm.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\src\JGBlockingMemory.cpp">
			</File>
			<File
				RelativePath="..\src\JGDataBase.cpp">
			</File>
			<File
				RelativePath="..\src\JGDevAttrData.cpp">
			</File>
			<File
				RelativePath="..\src\JGDevAttribute.cpp">
			</File>
			<File
				RelativePath="..\src\JGDevObject.cpp">
			</File>
			<File
				RelativePath="..\src\JGDevType.cpp">
			</File>
			<File
				RelativePath="..\src\JGEquipmentModule.cpp">
			</File>
			<File
				RelativePath="..\src\JGFile.cpp">
			</File>
			<File
				RelativePath="..\src\JGFileManager.cpp">
			</File>
			<File
				RelativePath="..\src\JGMemoryMappedFile.cpp">
			</File>
			<File
				RelativePath="..\src\JGObserver.cpp">
			</File>
			<File
				RelativePath="..\src\JGPLCDevice.cpp">
			</File>
			<File
				RelativePath="..\src\JGPLCManager.cpp">
			</File>
			<File
				RelativePath="..\src\JGTask.cpp">
			</File>
			<File
				RelativePath="..\src\JGXmlParser.cpp">
			</File>
			<File
				RelativePath="..\src\LogTime.cpp">
			</File>
			<File
				RelativePath="..\src\SACXmlParser.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\src\JGBlockingMemory.h">
			</File>
			<File
				RelativePath="..\src\JGCommand.h">
			</File>
			<File
				RelativePath="..\src\JGDataBase.h">
			</File>
			<File
				RelativePath="..\src\JGDevAttrData.h">
			</File>
			<File
				RelativePath="..\src\JGDevAttribute.h">
			</File>
			<File
				RelativePath="..\src\JGDevObject.h">
			</File>
			<File
				RelativePath="..\src\JGDevType.h">
			</File>
			<File
				RelativePath="..\src\JGEquipmentModule.h">
			</File>
			<File
				RelativePath="..\src\JGFile.h">
			</File>
			<File
				RelativePath="..\src\JGFileManager.h">
			</File>
			<File
				RelativePath="..\src\JGMemoryMappedFile.h">
			</File>
			<File
				RelativePath="..\src\JGNameInfo.h">
			</File>
			<File
				RelativePath="..\src\JGObserver.h">
			</File>
			<File
				RelativePath="..\src\JGPLCDevice.h">
			</File>
			<File
				RelativePath="..\src\JGPLCManager.h">
			</File>
			<File
				RelativePath="..\src\JGTask.h">
			</File>
			<File
				RelativePath="..\src\JGXmlParser.h">
			</File>
			<File
				RelativePath="..\src\LogTime.h">
			</File>
			<File
				RelativePath="..\src\SACXmlParser.h">
			</File>
			<File
				RelativePath="..\src\ecm.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
